package cn.com.ctop.kuaishou.modules.batch.entity;


import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;


/**
 * 【请填写功能名称】对象 kuaishou_agent_account_list
 *
 * @author ruoyi
 * @date 2023-03-15
 */
public class KuaishouAgentAccountList  {
    private static final long serialVersionUID = 1L;

    /**
     * 账户ID
     */
    private Long accountId;

    /**
     * 快手ID
     */

    private Long userId;

    /**
     * 账户名称
     */

    private String accountName;

    /**
     * 快手名称
     */

    private String userName;

    /**
     * 账户创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")

    private Date accountCreateTime;

    /**
     * 产品名称
     */

    private String productName;

    /**
     * 一级行业
     */

    private String industry;

    /**
     * 二级行业
     */

    private String secondIndustry;

    /**
     * 公司名称
     */

    private String corporationName;

    public void setAccountId(Long accountId) {
        this.accountId = accountId;
    }

    public Long getAccountId() {
        return accountId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserName() {
        return userName;
    }

    public void setAccountCreateTime(Date accountCreateTime) {
        this.accountCreateTime = accountCreateTime;
    }

    public Date getAccountCreateTime() {
        return accountCreateTime;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductName() {
        return productName;
    }

    public void setIndustry(String industry) {
        this.industry = industry;
    }

    public String getIndustry() {
        return industry;
    }

    public void setSecondIndustry(String secondIndustry) {
        this.secondIndustry = secondIndustry;
    }

    public String getSecondIndustry() {
        return secondIndustry;
    }

    public void setCorporationName(String corporationName) {
        this.corporationName = corporationName;
    }

    public String getCorporationName() {
        return corporationName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("accountId", getAccountId())
                .append("userId", getUserId())
                .append("accountName", getAccountName())
                .append("userName", getUserName())
                .append("accountCreateTime", getAccountCreateTime())
                .append("productName", getProductName())
                .append("industry", getIndustry())
                .append("secondIndustry", getSecondIndustry())
                .append("corporationName", getCorporationName())

                .toString();
    }
}

